.frame {
  margin-bottom: 1em;
  padding: 0.5em;
  border: 1px solid #cfcfcf;
  background-color: #ffffff;
}
.frame .nav {
  display: flex;
  flex-direction: row;
  margin-top: 0.5em;
}
.frame .nav > li {
  flex: 1;
  display: flex;
  align-items: center;
}
.frame .nav > li.slider-nav {
  flex: 4;
}
.frame .nav > li:last-child {
  justify-content: flex-end;
}
.slider {
  position: relative;
}
.slider > li {
  position: relative;
  font-size: 0;
}
.slider > li:first-child {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  overflow: hidden;
  animation: slideLeft 8s linear both infinite;
}
.slider > li:first-child img {
  max-width: none;
  width: auto;
  height: 100%;
}

@keyframes slideLeft {
  0% {
    right: 100%;
  }
  25% {
    right: 100%;
  }
  50% {
    right: 0;
  }
  75% {
    right: 0;
  }
  100% {
    right: 100%;
  }
}

.slider li h3 {
  position: absolute;
  bottom: 5rem;
  left: 1rem;
  right: 50%;
  min-width: 160px;
  font-size: 1.1rem;
  font-weight: bold;
  line-height: 1.2;
  text-align: center;
  transform: rotate(-20deg);
  opacity: 0.7;
  color: #ffffff;
}
.slider li:last-child h3 {
  right: 1rem;
  left: 22%;
  transform: rotate(20deg);
}
.slider li h3 > span {
  display: inline-block;
  padding: 0.3em 0.4em;
  border-radius: 4px;
  background-color: #ce3d6d;
  white-space: nowrap;
}
.slider li h3 > span + span {
  margin-top: -0.2em;
}

.slider li:first-child h3 {
  animation: fadeText 8s linear both infinite;
}
@keyframes fadeText {
  0% {
    opacity: 0;
  }
  37.5% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 1;
  }
  87.5% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}

.frame-buttons {
  text-align: center;
}
.btn-refresh {
  display: inline-block;
  padding: 0.6em 1em 0.4em;
  border: 1px solid #cfcfcf;
  border-radius: 3px;
  background-color: #ffffff;
  font-size: 0.9em;
  line-height: 1;
  transition: all 300ms linear;
  margin-bottom: 1em;
}
.btn-refresh:hover {
  text-decoration: none;
  background-color: #cfcfcf;
  color: #ffffff;
}
.btn-refresh:before {
  content: "";
  display: inline-block;
  margin-top: -3px;
  margin-right: 3px;
  width: 16px;
  height: 16px;
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAQAAAC1+jfqAAAABGdBTUEAALGPC/xhBQAAACBjSFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAAmJLR0QAAKqNIzIAAAAJcEhZcwAADsQAAA7EAZUrDhsAAAAHdElNRQfjCgcHBTTS7/XhAAAA40lEQVQoz4XRP0uCARDH8U/hIzq1+Apa7d/oGK1BDSEO7m69BUEwqFl6G76EKKQItyAaHBKiyamhFhWvQfF5Hgq8W477/rgfd8eG2MrU247tS7y78/VXeuFNrPLHlSSPOyv0YWQmhL5iis+EcG8PVPSE0EsFj8KTUmbijTDT1IZESd1hzrJqKoTW0n+ooZDBNWMhTJQpmwhhrJaRFDQMdaAlhKlqzuJIXWm5alvTXLjO4LJnYZA2bldrVcCBByGcpoKivhDmRj6FsHCZv2Si63t96lfn/z1rx4ldMy8GFpu+vI5f3qJST3ix8TkAAAAldEVYdGRhdGU6Y3JlYXRlADIwMTktMTAtMDdUMDc6MDU6NTIrMDA6MDAIqQxtAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDE5LTEwLTA3VDA3OjA1OjUyKzAwOjAwefS00QAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAAASUVORK5CYII=");
  background-repeat: no-repeat;
  vertical-align: middle;
}

@media (min-width: 568px) {
  .slider li:last-child h3 {
    left: 35%;
  }
}

@media (min-height: 1000px) {
  .slider > li img {
    width: auto;
    max-width: none;
    height: 57vh;
  }
}
